import {defHttp} from '@/utils/http/axios';
import {BasicPageParams} from "@/api/model/baseModel";

type CluesListParams = Partial<BasicPageParams>;

enum Api {
  LIST = '/crm/clues/list.do',
}

/**
 * @description: Get sample list value
 */

export const cluesListApi = (params:CluesListParams) => {
  // params.pageNo = params.page;
  Logger.info('cluesListApi', params);
  return defHttp.post({
    url: Api.LIST,
    params,
    // headers: {
    //   // @ts-ignore
    //   // ignoreCancelToken: true,
    //   // 'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
    // },
  });
}
